%define module	SVG
%define name	perl-%{module}
%define version 2.32
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for generating Scalable Vector Graphics (SVG) documents
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RO/RONAN/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch

%description
SVG is a 100% Perl module which generates a nested data structure containing
the DOM representation of an SVG (Scalable Vector Graphics) image. Using SVG,
you can generate SVG objects, embed other SVG instances into it, access the DOM
object, create and access javascript, and generate SMIL animation content.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README Changes examples
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.32-2mdk
- fix buildrequires in a backward compatible way

* Tue Oct 19 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.32-1mdk
- 2.32
- Add examples

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.28-2mdk
- rpmbuildupdate aware

* Sun Jan 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.28-1mdk
- first mdk release
